﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.EventSystems;
using UnityEngine.UI;

public class SoftMenu : MonoBehaviour
{

    public int PaddingBottom { get { return 50; } }
    public int PaddingRight { get { return 130; } }

    // Use this for initialization
    List<string> names = new List<string> { "全国地図", "リストオブジェクト", "その他" };

    Dropdown drop;
    void Start()
    {
        drop = this.GetComponent<Dropdown>();
        drop.ClearOptions();
        drop.AddOptions(names);
        drop.captionText.text = names[0];
        drop.onValueChanged.AddListener(delegate { OnSoftMenuValueChanged(drop); });
    }

    void OnDestroy()
    {
        drop.onValueChanged.RemoveAllListeners();
    }

    void OnSoftMenuValueChanged(Dropdown drop)
    {
        Debug.Log(names[drop.value]);
        var map = GameObject.Find("Map Plane");
    }

    // Update is called once per frame
    void Update()
    {
        var map = GameObject.Find("Map Plane");
        switch (drop.value)
        {
            case 0:
                {
                    var goal = Quaternion.Euler(ImageMove.defaultRotation);
                    var curr = map.transform.rotation;
                    map.transform.rotation = Quaternion.Slerp(curr, goal, 0.05f);

                    break;                }
            default:
                {
                    var goal = Quaternion.Euler(ImageMove.rotateRotation);
                    var curr = map.transform.rotation;
                    map.transform.rotation = Quaternion.Slerp(curr, goal, 0.05f);

                    break;
                }
        }
        this.transform.position = new Vector3(Screen.width - PaddingRight, PaddingBottom, 0);
    }


}
